bug-grep
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[PATCH 2/2] tests: avoid syntax-check failure: reverse compare arguments


From: Jim Meyering
Subject: [PATCH 2/2] tests: avoid syntax-check failure: reverse compare arguments
Date: Mon, 09 Apr 2012 22:13:23 +0200

A bug in gnulib's maint.mk disabled some of its syntax-check rules.
Now that it's fixed, updating to the latest from gnulib reenabled
those rules, and thus exposed a minor violation:

>From c6851b76d911a60b36cc9d7209ba0ae7bebde365 Mon Sep 17 00:00:00 2001
From: Jim Meyering <address@hidden>
Date: Mon, 9 Apr 2012 21:49:32 +0200
Subject: [PATCH 1/2] build: update gnulib submodule to latest

---
 gnulib |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/gnulib b/gnulib
index eb21377..7995834 160000
--- a/gnulib
+++ b/gnulib
@@ -1 +1 @@
-Subproject commit eb213779301aa663ab84ac947e8e181e9ad554d0
+Subproject commit 79958342269382b4ecbe3c5f566f86f71eb09ace
--
1.7.10.rc4


>From b00d1eee17148143c5a9187e6d4b68569a02cf24 Mon Sep 17 00:00:00 2001
From: Jim Meyering <address@hidden>
Date: Mon, 9 Apr 2012 22:08:01 +0200
Subject: [PATCH 2/2] tests: avoid syntax-check failure: reverse compare
 arguments

* tests/repetition-overflow: Fix reversed compare arguments.
---
 tests/repetition-overflow |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/tests/repetition-overflow b/tests/repetition-overflow
index 66a44a6..35d928b 100755
--- a/tests/repetition-overflow
+++ b/tests/repetition-overflow
@@ -12,8 +12,8 @@ fail=0
 # would be treated just like "1", and both of these would mistakenly match.

 echo abc  | grep -E "b{$xp1}"   > out 2> /dev/null; test $? = 2 || fail=1
-compare out /dev/null || fail=1
+compare /dev/null out || fail=1
 echo abbc | grep -E "b{1,$xp2}" > out 2> /dev/null; test $? = 2 || fail=1
-compare out /dev/null || fail=1
+compare /dev/null out || fail=1

 Exit $fail
--
1.7.10.rc4



reply via email to

[Prev in Thread] Current Thread [Next in Thread]